Subject: [core-updates-frozen] Grub fails to decrypt LUKS partition (cryptomount not found)

From: Jonathan Brielmaier <[email-masked]>
Date: Wed, 15 Sep 2021 00:57:54 +0200

I went ahead and did a trick Tobias (nckx) told me in IRC. I booted a
Guix installer from an USB stick and hit 'c' (command line) in its GRUB
menu. Then I gave in the following commands:

```
insmod luks
cryptomount (hd1,gpt2)
Enter passphrase ...:
set root=(crypto0)
configfile /boot/grub/grub.cfg
```

I can then choose between the Guix system generations: 1x
core-updates-frozen and 3x master. The latter did worked before my
reconfigure on c-u-f.

But non of them really worked. I have to enter the LUKS password a
second time and then shepherd fails to start all the services. The cpu
fan blows a bit loud:
```
failed to start service 'file-systems'
failed to start service 'file-system-/boot/efi'
failed to start service 'user-processes'
[...]
```

An Alt+SysReq+E (SIGTERM all apart INIT) gives:
```
shepherd[1]: Service udev has been disabled.
shepherd[1]: Respawning libvirtd.
shepherd[1]: Service libvirtd has been started.
```

And some audit log message. Can audit break the boot?

Has anyone an idea how to find out why those services start to fail? How
to obtain logs?

~Jonathan